{% include 'RecordTable/ColumnManager/index.html.twig' with {'metas':metas} %}

<div id="recordTableWrapper" class="table-responsive record-table-wrapper">
	<table id="recordTable" class="table record-table" data-records="{{results|json_encode()}}">
		<thead>
			<tr>
				<th scope="col">
					<input id='toggleAllRecords' class="form-check-input" type="checkbox" , title="Toggle all records">
				</th>
				{% for data in metas["record"] %}
					<th id="tableHead{{data['field_name']}}{{data['id']}}" class="hidable-table-head" scope="col">{{data["label"]}}</th>
				{% endfor %}
				<th scope="col"></th>
				{% for data in metas["production"] %}
					<th id="tableHead{{data['field_name']}}{{data['id']}}" class="hidable-table-head" scope="col">{{data["label"]}}</th>
				{% endfor %}
				{% for data in metas["speaker"] %}
					<th id="tableHead{{data['field_name']}}{{data['id']}}" class="hidable-table-head" scope="col">{{data["label"]}}</th>
				{% endfor %}
				<th scope="col"></th>
			</tr>
		</thead>
		<tbody class="record-table__body">
			{% for data in results %}
				{% include 'RecordTable/record_item.html.twig' with {'data': data, 'metas':metas} %}
			{% endfor %}
		</tbody>
	</table>
</div>
